/*
-----------------------------------------------------------------------------
Copyright (c) 2009-2010 Sara Kempen

This program is free software; you can redistribute it and/or modify it under
the terms of the GNU Lesser General Public License as published by the Free Software
Foundation; either version 2 of the License, or (at your option) any later
version.

This program is distributed in the hope that it will be useful, but WITHOUT
ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public License along with
this program; if not, write to the Free Software Foundation, Inc., 59 Temple
Place - Suite 330, Boston, MA 02111-1307, USA, or go to
http://www.gnu.org/copyleft/lesser.txt.
-----------------------------------------------------------------------------
*/

#include <list>
#include <set>
#include <string>

#define SAFEDELETE(x) if(x) {delete x; x=0;};
#define SAFEDELETEARRAY(x) if(x) {delete [] x; x=0;};

#ifdef WIN32
#include <windows.h>
#include <shlobj.h>
#endif

#include "CEGUI.h"

#include "angelscript.h"

#include "Ogre.h"
#include "OgreOggSound.h"

#include "CEGUIOgreRenderer.h"
#include "OIS\OIS.h"
#include "zlib.h"

#include <boost/filesystem/operations.hpp>

#include "sqlite3.h"
