/*
-----------------------------------------------------------------------------
Copyright (c) 2009-2010 Sara Kempen

This program is free software; you can redistribute it and/or modify it under
the terms of the GNU Lesser General Public License as published by the Free Software
Foundation; either version 2 of the License, or (at your option) any later
version.

This program is distributed in the hope that it will be useful, but WITHOUT
ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public License along with
this program; if not, write to the Free Software Foundation, Inc., 59 Temple
Place - Suite 330, Boston, MA 02111-1307, USA, or go to
http://www.gnu.org/copyleft/lesser.txt.
-----------------------------------------------------------------------------
*/

#include "StdAfx.h"

#include "DBResultSet.h"

namespace SLK
{

DBResultSet::DBResultSet(void)
{
}

DBResultSet::~DBResultSet(void)
{
	for(unsigned int i=0; i<m_rows.size(); i++)
	{
		SAFEDELETE(m_rows[i]);
	}
}


void DBResultSet::AddRow(sqlite3_stmt *statement)
{
	m_rows.push_back(new DBRow(statement));
}



}
